/*
  Name: game.h
  Author: Master Lenman
  Project: SpeedHack 2009
  Date: 10.07.2009
  Description: 
*/
#ifndef GAME_HEADER
#define GAME_HEADER

#include <string>

class gameInfos
{
public:
	gameInfos();
	~gameInfos();
	
	void add(gameInfos &from);
	void save();
	void load();
	
	//How many items/people did the player save
	int saved[4];
	//How man items/people were there in total in the levels
	int availibleSaves[4];
	
	//Killed fires/enemies
	int killed[2];
	//How man fires/enemies were there total
	int availibleKills[2];
	
	//Starters in the endfight
	int endFight;
	//Survivors of the endfight
	int endFightSurvivors;
	
	//Bullets fired
	int bulletsUsed;
	//Hits
	int bulletsHit;
	
	//For giving out stocks from the "total" to the game
	int medkitsAvailible;
	int medkitsUsed;
	int ammoAvailible;
	int ammoUsed;
	
	int level;
	int weaponsUnlocked;
	int timeUsed;
	bool firefighterUnlocked;
};

int runMap(std::string mapId, gameInfos *levelInfos, int weaponsUnlocked, bool firefighterUnlocked, bool lastLevel, gameInfos &totals);
void startGame(bool load = false);
bool collides(int left1, int top1, int right1, int bottom1, int left2, int top2, int right2, int bottom2);

#endif
