/*
  Name: main.h
  Author: Master Lenman
  Project: SpeedHack 2009
  Date: 09.07.2009
  Description: Some basic functions that are used in almost any other file
*/

#ifndef HEADER_ELEMENTARY
#define HEADER_ELEMENTARY

#include <allegro.h>
#include <string>
#include <fstream>

extern const int TIMER_FPS;
extern const double dPI;
extern const float fPI;
extern const std::string VERSIONSTRING;
extern volatile int	timerCounter;
extern const int SCREENW, SCREENH;

void show(bool showMouse = false, BITMAP *bitmap = NULL);
BITMAP *loadBitmap(std::string filename);
BITMAP *createBitmap(int width, int height);
BITMAP *createDatafileBitmap(DATAFILE *datafile, int index);
FONT *loadBitmapFont(std::string filename);
void setMode(int &mode);
void setMode(char &mode);

//Get string to file
bool fileSelect(std::string message, std::string &path, std::string ext, int w, int h);

//Test if a given file exists
bool fileExists(std::string filename);

//Get string version of a number
std::string i2str(int i, int minLength);
std::string i2str(int i);
std::string f2str(float i);
inline int squareVal(int val)
{
	return val*val;
}

//Turns a string into an integer, returns defaultValue if the string is no int value
int str2i(const std::string str, const int defaultValue);

//Turns a string into an floating point number, returns defaultValue if the string is no
//floating point value
float str2f(const std::string str, const float defaultValue);

#endif
